package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemPresenterFieldRowEditTextBindingImpl extends ItemPresenterFieldRowEditTextBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final com.google.android.material.textfield.TextInputLayout mboundView0;
    @NonNull
    private final com.google.android.material.textfield.TextInputEditText mboundView1;
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers
    private androidx.databinding.InverseBindingListener mboundView1androidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of customFieldValue.customFieldValueValue
            //         is customFieldValue.setCustomFieldValueValue((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(mboundView1);
            // localize variables for thread safety
            // customFieldValue != null
            boolean customFieldValueJavaLangObjectNull = false;
            // customFieldValue
            com.ustadmobile.lib.db.entities.CustomFieldValue customFieldValue = mCustomFieldValue;
            // customFieldValue.customFieldValueValue
            java.lang.String customFieldValueCustomFieldValueValue = null;



            customFieldValueJavaLangObjectNull = (customFieldValue) != (null);
            if (customFieldValueJavaLangObjectNull) {




                customFieldValue.setCustomFieldValueValue(((java.lang.String) (callbackArg_0)));
            }
        }
    };

    public ItemPresenterFieldRowEditTextBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 2, sIncludes, sViewsWithIds));
    }
    private ItemPresenterFieldRowEditTextBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            );
        this.mboundView0 = (com.google.android.material.textfield.TextInputLayout) bindings[0];
        this.mboundView0.setTag(null);
        this.mboundView1 = (com.google.android.material.textfield.TextInputEditText) bindings[1];
        this.mboundView1.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.customField == variableId) {
            setCustomField((com.ustadmobile.lib.db.entities.CustomField) variable);
        }
        else if (BR.customFieldValue == variableId) {
            setCustomFieldValue((com.ustadmobile.lib.db.entities.CustomFieldValue) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setCustomField(@Nullable com.ustadmobile.lib.db.entities.CustomField CustomField) {
        this.mCustomField = CustomField;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.customField);
        super.requestRebind();
    }
    public void setCustomFieldValue(@Nullable com.ustadmobile.lib.db.entities.CustomFieldValue CustomFieldValue) {
        this.mCustomFieldValue = CustomFieldValue;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.customFieldValue);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        int customFieldCustomFieldInputType = 0;
        com.ustadmobile.lib.db.entities.CustomField customField = mCustomField;
        int customFieldCustomFieldLabelMessageID = 0;
        com.ustadmobile.lib.db.entities.CustomFieldValue customFieldValue = mCustomFieldValue;
        java.lang.String customFieldValueCustomFieldValueValue = null;

        if ((dirtyFlags & 0x5L) != 0) {



                if (customField != null) {
                    // read customField.customFieldInputType
                    customFieldCustomFieldInputType = customField.getCustomFieldInputType();
                    // read customField.customFieldLabelMessageID
                    customFieldCustomFieldLabelMessageID = customField.getCustomFieldLabelMessageID();
                }
        }
        if ((dirtyFlags & 0x6L) != 0) {



                if (customFieldValue != null) {
                    // read customFieldValue.customFieldValueValue
                    customFieldValueCustomFieldValueValue = customFieldValue.getCustomFieldValueValue();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x5L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setHintMessageId(this.mboundView0, customFieldCustomFieldLabelMessageID);
            // api target 3
            if(getBuildSdkInt() >= 3) {

                this.mboundView1.setInputType(customFieldCustomFieldInputType);
            }
        }
        if ((dirtyFlags & 0x6L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.mboundView1, customFieldValueCustomFieldValueValue);
        }
        if ((dirtyFlags & 0x4L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.mboundView1, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, mboundView1androidTextAttrChanged);
        }
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): customField
        flag 1 (0x2L): customFieldValue
        flag 2 (0x3L): null
    flag mapping end*/
    //end
}